# com.beasys.commerce.foundation
Belonging Interface

public interface Belonging
extends `BusinessSmartComponent`, `Cloneable`, `Comparable`

A Belonging is a lightweight, local value that can be serialized. A Belonging must "belong" to another object. That object must have the only reference to that Belonging. For this reason the "value" of the Belonging must make a copy of the object that it will return. Belongings must be allocated from a corresponding SmartHome object. Objects that have a stereotype of Belonging will automatically have a SmartHome and Base Implementation class generated by the SmartGenerator.

Related Topics

``BelongingImpl``
``SmartHome``

All Known Implementing Classes
  `BelongingImpl`, `DescribedMoneyImpl`, `DescribedPriceImpl`, `ImageInfoImpl`, `InventoryInfoImpl`, `JspInfoImpl`, `MoneyImpl`, `PriceImpl`, `OrderLineImpl`, `QualityImpl`, `QuantityImpl`, `ResultImpl`, `ShoppingCartImpl`, `ShoppingCartLineImpl`, `StateImpl`, `TaxInformationImpl`, `TaxLineImpl`, `TaxLineListImpl`, `TaxLineResultImpl`, `TaxParametersImpl`, `TaxResultImpl`, `TransactionEntryImpl`, `TransitionImpl`, `UnitImpl`, `UnitPriceImpl`

All Superinterfaces
  `BusinessSmartComponent`, `Cloneable`, `Comparable`, `Serializable`

All Known Subinterfaces
  `DescribedMoney`, `DescribedPrice`, `ImageInfo`, `InventoryInfo`, `JspInfo`, `Money`, `OrderLine`, `Price`, `Quality`, `Quantity`, `Result`, `ShoppingCart`, `ShoppingCartLine`, `State`, `TaxInformation`, `TaxLine`, `TaxLineList`, `TaxLineResult`, `TaxParameters`, `TaxResult`, `TransactionEntry`, `Transition`, `Unit`, `UnitPrice`

## Method Summary

`public `Object`` | `clone`() Returns a shallow copy of the Belonging instance.
`public boolean` | `equals`(`Object` anObject) Indicates whether some other Belonging is equivalent to this Belonging.
`public `String`` | `interfaceName`() Returns the unqualified name of the interface as specified in the UML model.
`public void` | `setByValue`(`Belonging` value) Intializes the `Belonging` based upon a supplied `Belonging`.
`public `Belonging`` | `value`() Returns a type safe shallow copy of the Belonging instance.

Methods from interface `java.lang.`Comparable``
`compareTo`

## Method Detail

### clone() Method

    public Object clone()

Returns a shallow copy of the Belonging instance.

#### Returns

A shallow copy of this Belonging.

### equals(Object) Method

    public boolean equals(Object anObject)

Indicates whether some other Belonging is equivalent to this Belonging.

Overrides
  `Object.equals(Object)`

#### Parameters

anObject
  the Object to be compared.

#### Returns

a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### interfaceName() Method

    public String interfaceName()

Returns the unqualified name of the interface as specified in the UML model.

#### Returns

The unqualified name of the belonging interface.

### setByValue(Belonging) Method

    public void setByValue(Belonging value)

Intializes the `Belonging` based upon a supplied `Belonging`.

#### Parameters

value
  The `Belonging` to use for initialization.

### value() Method

    public Belonging value()

Returns a type safe shallow copy of the Belonging instance.

#### Returns

A type safe shallow copy of this Belonging.